import { ISyncWithOptions } from './syncOptions';
export declare const MergeWithUpdateOperations: {
    UseTargetIfDifferent: (item1: any, item2: any) => any;
    KeepSource: (item1: any) => any;
    KeepTarget: (_item1: any, item2: any) => any;
    Merge: (item1: any, item2: any) => any;
};
export interface IMergeWithOptions<T, P> extends ISyncWithOptions<T, P> {
    removeUnmatched?: boolean | ((item: T) => boolean);
    addNew?: boolean | ((item: P) => boolean);
    matchOrder?: boolean;
}
